Bug 1699501 - keepassxc-2.4.1 is available
Summary: keepassxc-2.4.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: keepassxc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-13 00:03 UTC by Upstream Release Monitoring
Modified: 2019-04-27 21:25 UTC (History)
6 users (show)

Fixed In Version: keepassxc-2.4.1-1.fc29 keepassxc-2.4.1-1.fc30
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-21 05:04:29 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-04-13 00:03:05 UTC
Latest upstream release: 2.4.1
Current version/release in rawhide: 2.4.0-1.fc31
URL: https://keepassxc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15656/

Comment 1 JayJayJazz 2019-04-16 06:10:37 UTC
Wanted to add the changelog:

Here is the full changelog for KeePassXC 2.4.1:

    Fix database deletion when using unsafe saves to a different file system [#2889]
    Fix opening databases with legacy key files that contain ‘/’ [#2872]
    Fix opening database files from the command line [#2919]
    Fix crash when editing master key [#2836]
    Fix multiple issues with apply button behavior [#2947]
    Fix issues on application startup (tab order, –pw-stdin, etc.) [#2830]
    Fix building without WITH_XC_KEESHARE
    Fix reference entry coloring on macOS dark mode [#2984]
    Hide window when performing entry auto-type on macOS [#2969]
    Improve UX of update checker; reduce checks to every 7 days [#2968]
    KeeShare improvements [#2946, #2978, #2824]
    Re-enable Ctrl+C to copy password from search box [#2947]
    Add KeePassXC-Browser integration for Brave browser [#2933]
    SSH Agent: Re-Add keys on database unlock [#2982]
    SSH Agent: Only remove keys on app exit if they are removed on lock [#2985]
    CLI: Add –no-password option [#2708]
    CLI: Improve database extraction to XML [#2698]
    CLI: Don’t call mandb on build [#2774]
    CLI: Add debug info [#2714]
    Improve support for Snap theming [#2832]
    Add support for building on Haiku OS [#2859]
    Ctrl+PgDn now goes to the next tab and Ctrl+PgUp to the previous
    Fix compiling on GCC 5 / Xenial [#2990]
    Add .gitrev output to tarball for third-party builds [#2970]
    Add WITH_XC_UPDATECHECK compile flag to toggle the update checker [#2968]


URL: https://keepassxc.org/blog/2019-04-13-2.4.1-released/

Comment 2 Fedora Update System 2019-04-16 08:50:05 UTC
keepassxc-2.4.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2f1c978d25

Comment 3 Fedora Update System 2019-04-16 08:50:13 UTC
keepassxc-2.4.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae335ee0c3

Comment 4 Fedora Update System 2019-04-17 01:02:46 UTC
keepassxc-2.4.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae335ee0c3

Comment 5 Fedora Update System 2019-04-18 22:12:49 UTC
keepassxc-2.4.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2f1c978d25

Comment 6 Fedora Update System 2019-04-21 05:04:29 UTC
keepassxc-2.4.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-04-27 21:25:29 UTC
keepassxc-2.4.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.